"use strict";
const common_vendor = require("../../common/vendor.js");
const WORKORDER_patrol_update_method = require("./method.js");
const WORKORDER_patrol_update_model = require("./model.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../gen/Apis.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/apiLoading.js");
require("../../common/libraries/naviHelper.js");
if (!Array) {
  const _easycom_hs_radio2 = common_vendor.resolveComponent("hs-radio");
  const _easycom_hs_cell2 = common_vendor.resolveComponent("hs-cell");
  const _easycom_hs_cell_textarea2 = common_vendor.resolveComponent("hs-cell-textarea");
  const _easycom_hs_upload2 = common_vendor.resolveComponent("hs-upload");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_hs_radio2 + _easycom_hs_cell2 + _easycom_hs_cell_textarea2 + _easycom_hs_upload2 + _easycom_hs_footer2)();
}
const _easycom_hs_radio = () => "../../components/hs-radio/hs-radio.js";
const _easycom_hs_cell = () => "../../components/hs-cell/hs-cell.js";
const _easycom_hs_cell_textarea = () => "../../components/hs-cell-textarea/hs-cell-textarea.js";
const _easycom_hs_upload = () => "../../components/hs-upload/hs-upload.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_hs_radio + _easycom_hs_cell + _easycom_hs_cell_textarea + _easycom_hs_upload + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      var _a;
      (_a = WORKORDER_patrol_update_method.method) == null ? void 0 : _a.init(e);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c;
      return common_vendor.e({
        a: common_vendor.unref(WORKORDER_patrol_update_model.useModel).formData.value.type === "RenovationAcceptance"
      }, common_vendor.unref(WORKORDER_patrol_update_model.useModel).formData.value.type === "RenovationAcceptance" ? {
        b: common_vendor.o(($event) => common_vendor.unref(WORKORDER_patrol_update_model.useModel).formData.value.is_passed = $event),
        c: common_vendor.p({
          Enums: (_b = (_a = common_vendor.unref(WORKORDER_patrol_update_model.useModel)) == null ? void 0 : _a.HouseWorkOrdersStatusItemEnum) == null ? void 0 : _b.value,
          valueModel: common_vendor.unref(WORKORDER_patrol_update_model.useModel).formData.value.is_passed
        }),
        d: common_vendor.p({
          title: "验收结果",
          borderTop: true,
          required: true
        })
      } : {}, {
        e: common_vendor.o(($event) => common_vendor.unref(WORKORDER_patrol_update_model.useModel).formData.value.description = $event),
        f: common_vendor.p({
          title: common_vendor.unref(WORKORDER_patrol_update_model.useModel).formData.value.type === "RenovationInspection" ? "巡检备注" : "验收说明",
          required: common_vendor.unref(WORKORDER_patrol_update_model.useModel).formData.value.type === "RenovationAcceptance",
          placeholder: "请详细描述情况，包括具体位置现象等",
          valueModel: common_vendor.unref(WORKORDER_patrol_update_model.useModel).formData.value.description
        }),
        g: common_vendor.o(($event) => common_vendor.unref(WORKORDER_patrol_update_model.useModel).formData.value.attachments = $event),
        h: common_vendor.p({
          borderTop: true,
          title: "上传图片",
          required: true,
          count: 6,
          valueModel: common_vendor.unref(WORKORDER_patrol_update_model.useModel).formData.value.attachments
        }),
        i: common_vendor.o((_c = common_vendor.unref(WORKORDER_patrol_update_method.method)) == null ? void 0 : _c.handleSubmit),
        j: common_vendor.p({
          btnParimaryName: "提交"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/WORKORDER/patrol_update/index.vue"]]);
wx.createPage(MiniProgramPage);
